Find or start conversation
curl --request POST \
--url https://api.reachhunt.ai/api/v1/conversations/get-or-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"platformId": "<string>",
"prospectId": "<string>"
}
'import requests
url = "https://api.reachhunt.ai/api/v1/conversations/get-or-create"
payload = {
"accountId": "<string>",
"platformId": "<string>",
"prospectId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountId: '<string>', platformId: '<string>', prospectId: '<string>'})
};
fetch('https://api.reachhunt.ai/api/v1/conversations/get-or-create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/conversations/get-or-create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountId' => '<string>',
'platformId' => '<string>',
'prospectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/conversations/get-or-create"
payload := strings.NewReader("{\n \"accountId\": \"<string>\",\n \"platformId\": \"<string>\",\n \"prospectId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.reachhunt.ai/api/v1/conversations/get-or-create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountId\": \"<string>\",\n \"platformId\": \"<string>\",\n \"prospectId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/conversations/get-or-create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountId\": \"<string>\",\n \"platformId\": \"<string>\",\n \"prospectId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"conversation": {
"conversationId": "1876543210987654321:1900000000000000001",
"accountId": "4f1c9a2e-6b7d-4c3a-9e51-0a8b7c6d5e4f",
"platform": "linkedin",
"type": "one_to_one",
"participantCount": 2,
"participants": [
{
"platform": "linkedin",
"platformId": "1876543210987654321",
"userName": "janedoe",
"name": "Jane Doe",
"url": "https://x.com/janedoe",
"profilePicture": "https://example.com/avatars/janedoe.jpg",
"headline": "Head of Growth at Northwind",
"canDm": true,
"isVerified": false,
"followers": 1280,
"following": 340,
"location": "Berlin",
"description": "Growth, partnerships and outbound.",
"isBlueVerified": true,
"isVerifiedOrganization": true,
"verified": "<string>",
"verifiedType": "<string>",
"createdAt": "<string>",
"coverPicture": "<string>",
"publicIdentifier": "<string>",
"industry": "<string>",
"degree": 123,
"isPremium": true,
"isInfluencer": true,
"isCreator": true,
"type": "<string>",
"experience": [
{}
],
"education": [
{}
],
"skills": [
"<string>"
],
"phones": [
"<unknown>"
],
"websites": [
"<unknown>"
],
"honors": [
"<unknown>"
],
"birthday": "<string>",
"address": "<string>",
"connectedSince": "<string>",
"hasPublicKey": true,
"isVerifiedOrganizationAffiliate": true
}
],
"peerUnavailable": false,
"tags": [
{
"id": "7c1f0c52-6d1a-4a49-9a63-2b3c4d5e6f70",
"label": "Hot lead",
"color": "#e24c5d"
}
],
"statusId": "b8d1f6f4-3a52-4f3a-8f0b-0c2f6a9d1e11",
"valuation": 1500,
"assigneeId": null,
"readUpTo": "1900000000000000123",
"peerReadUpTo": "1900000000000000100",
"hasUnread": true,
"unreadCount": 1,
"isClosed": false,
"isDraft": false,
"sendTyping": null,
"lastMessage": {
"text": "Thanks, sounds good. Send the details over.",
"fromMe": false,
"seqId": "1900000000000000123",
"createdAt": "2026-10-17T14:05:00.000Z",
"attachmentCount": 0,
"attachmentType": null,
"seen": null
}
},
"created": true,
"canDm": true,
"canSend": true,
"blockedReason": "<string>"
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Conversations
Find or start conversation
Returns the conversation between an account and a person. When there is none yet, a draft is created that becomes a real conversation once you send the first message.
POST
/
conversations
/
get-or-create
Find or start conversation
curl --request POST \
--url https://api.reachhunt.ai/api/v1/conversations/get-or-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"platformId": "<string>",
"prospectId": "<string>"
}
'import requests
url = "https://api.reachhunt.ai/api/v1/conversations/get-or-create"
payload = {
"accountId": "<string>",
"platformId": "<string>",
"prospectId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountId: '<string>', platformId: '<string>', prospectId: '<string>'})
};
fetch('https://api.reachhunt.ai/api/v1/conversations/get-or-create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/conversations/get-or-create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountId' => '<string>',
'platformId' => '<string>',
'prospectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/conversations/get-or-create"
payload := strings.NewReader("{\n \"accountId\": \"<string>\",\n \"platformId\": \"<string>\",\n \"prospectId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.reachhunt.ai/api/v1/conversations/get-or-create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountId\": \"<string>\",\n \"platformId\": \"<string>\",\n \"prospectId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/conversations/get-or-create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountId\": \"<string>\",\n \"platformId\": \"<string>\",\n \"prospectId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"conversation": {
"conversationId": "1876543210987654321:1900000000000000001",
"accountId": "4f1c9a2e-6b7d-4c3a-9e51-0a8b7c6d5e4f",
"platform": "linkedin",
"type": "one_to_one",
"participantCount": 2,
"participants": [
{
"platform": "linkedin",
"platformId": "1876543210987654321",
"userName": "janedoe",
"name": "Jane Doe",
"url": "https://x.com/janedoe",
"profilePicture": "https://example.com/avatars/janedoe.jpg",
"headline": "Head of Growth at Northwind",
"canDm": true,
"isVerified": false,
"followers": 1280,
"following": 340,
"location": "Berlin",
"description": "Growth, partnerships and outbound.",
"isBlueVerified": true,
"isVerifiedOrganization": true,
"verified": "<string>",
"verifiedType": "<string>",
"createdAt": "<string>",
"coverPicture": "<string>",
"publicIdentifier": "<string>",
"industry": "<string>",
"degree": 123,
"isPremium": true,
"isInfluencer": true,
"isCreator": true,
"type": "<string>",
"experience": [
{}
],
"education": [
{}
],
"skills": [
"<string>"
],
"phones": [
"<unknown>"
],
"websites": [
"<unknown>"
],
"honors": [
"<unknown>"
],
"birthday": "<string>",
"address": "<string>",
"connectedSince": "<string>",
"hasPublicKey": true,
"isVerifiedOrganizationAffiliate": true
}
],
"peerUnavailable": false,
"tags": [
{
"id": "7c1f0c52-6d1a-4a49-9a63-2b3c4d5e6f70",
"label": "Hot lead",
"color": "#e24c5d"
}
],
"statusId": "b8d1f6f4-3a52-4f3a-8f0b-0c2f6a9d1e11",
"valuation": 1500,
"assigneeId": null,
"readUpTo": "1900000000000000123",
"peerReadUpTo": "1900000000000000100",
"hasUnread": true,
"unreadCount": 1,
"isClosed": false,
"isDraft": false,
"sendTyping": null,
"lastMessage": {
"text": "Thanks, sounds good. Send the details over.",
"fromMe": false,
"seqId": "1900000000000000123",
"createdAt": "2026-10-17T14:05:00.000Z",
"attachmentCount": 0,
"attachmentType": null,
"seen": null
}
},
"created": true,
"canDm": true,
"canSend": true,
"blockedReason": "<string>"
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Body
application/json
Optional. The connected account. When left out, one on that network is picked.
The network. Needed with platformId; taken from the lead when you send prospectId.
Available options:
x, linkedin The person's network ID.
Or a lead ID instead of platform and platformId.